import "Turbine.UI";

List_Item = class(Turbine.UI.Control);

-- Essa classe existe para registar cada item na lista da janela de pesquisa do Plugin
function List_Item:Constructor(item)
	Turbine.UI.Control.Constructor(self);

	self:SetBlendMode(Turbine.UI.BlendMode.Overlay);

	self.item = item;

	self.nameLabel = Turbine.UI.Label();
	self.nameLabel:SetParent(self);
	self.nameLabel:SetText(item:GetName());
	self.nameLabel:SetPosition(10, 5);
	self.nameLabel:SetMultiline(true);

	self:SizeChanged();
end

function List_Item:GetExample()
	return self.item;
end

function List_Item:SetSelected(value)
	if (value) then
		self:SetBackColor(Turbine.UI.Color(0.9, 1, 0.721, 0.109)) -- color gold
	else
		self:SetBackColor(Turbine.UI.Color(1, 0, 0, 0))
	end
end

function List_Item:SizeChanged()
	local width = self:GetWidth();
	self.nameLabel:SetSize(width - self.nameLabel:GetLeft(), 22);

end
