import "LoT_BR.LoT_BR";
import "LoT_BR.LoT_BR.Search_Window";

Turbine.Shell.WriteLine("Iniciando LoT_BR, versão: "..Plugins.LoT_BR:GetVersion()..", feito por "..Plugins.LoT_BR:GetAuthor());

Hurin_Button = class(Turbine.UI.Window);

-- Pega o comprimento e a largura da tela para podermos posicionar o nosso botão futuramente
--screen_width, screen_height = Turbine.UI.Display:GetSize();

function Hurin_Button:Constructor()
	Turbine.UI.Window.Constructor(self);	
		
	-- O nosso botão em sim é um controle que fica dentro de um window
	self.button = Turbine.UI.Control();
	self.button:SetParent(self);
	self.button:SetSize(70,70);
	self.button:SetBackground("LoT_BR/LoT_BR/Resources/regular_icon.jpg");
	self.button:SetBlendMode( Turbine.UI.BlendMode.AlphaBlend );
	self:SetMouseVisible(true);
	
	self.MouseEnter = function(sender,args)
		self.button:SetBackground("LoT_BR/LoT_BR/Resources/highlighted_icon.jpg");
		--self:SetOpacity(0.9);
	end
	self.MouseLeave = function(sender,args)
		self.button:SetBackground("LoT_BR/LoT_BR/Resources/regular_icon.jpg");
		--self:SetOpacity(0.4);
	end

	self.button.MouseDown = function( sender, args )
		if(args.Button == Turbine.UI.MouseButton.Left) then
			sender.dragStartX = args.X;
			sender.dragStartY = args.Y;
			sender.dragging = true;
			sender.dragged = false;
			--self:SetBackColor( Turbine.UI.Color(0,0,1,0) );
		end
	end
	
	self.button.MouseUp = function( sender, args )
		if(args.Button == Turbine.UI.MouseButton.Left) then
			if (sender.dragging) then
				sender.dragging = false;
			end
			--self:SetBackColor( Turbine.UI.Color(0,0,0,0) );
		end		
	end
	
	self.button.MouseMove = function(sender,args)
		if ( sender.dragging ) then
			local left, top = self:GetPosition();
			self:SetPosition( left + ( args.X - sender.dragStartX ), top + args.Y - sender.dragStartY );
			sender:SetPosition( 0, 0 );
			sender.dragged = true;
		
		-- Impedir que o botão saia da tela
		-- Coleta o tamanho e a posição da tela e do botão
		local display_width, display_height = Turbine.UI.Display.GetSize();
		local button_left, button_top = self:GetPosition();
		local button_width, button_height = self:GetSize();
		
		local button_right = button_left + button_width;
		local button_bottom = button_top + button_height;
		
		--limite direito da tela
		if (button_right > display_width) then
			button_left = display_width - button_width;
		end
		--limite esquerdo da tela
		if (button_left < 0) then
			button_left = 0;
		end
		--limite superior da tela
		if (button_top < 0) then
			button_top = 0;
		end
		--limite inferior da tela
		if (button_bottom > display_height) then
			button_top = display_height - button_height;
		end
		
		self:SetPosition(button_left, button_top);
		
		end
	end	
end

toggle_button = Hurin_Button();
toggle_button:SetParent(window);
toggle_button:SetPosition(150, 450);
toggle_button:SetSize(70, 70);
toggle_button:SetZOrder(6);
toggle_button:SetVisible(true);

search_window = Search_Window();

toggle_button.button.MouseClick = function(sender, args)
	show_search_window = not show_search_window;
	str = tostring(show_search_window)
	Turbine.Shell.WriteLine("Mostrar janela de pesquisa: "..str);
	
	search_window:SetVisible(not search_window:IsVisible());
end
