On_a_Mission_Weekly = class(Window);

function On_a_Mission_Weekly:GetName()
	return "On a Mission (Weekly)";
end

function On_a_Mission_Weekly:IsRunning()
	return (self.window ~= nil);
end

function On_a_Mission_Weekly:Start()	
	--Prevenindo criação duplicada
	if (self.window ~= nil) then
		return; -- return empty == break
	end

	-- Cria uma janela para mostrar as informações da quest
	self.window = Turbine.UI.Lotro.GoldWindow();
	self.window:SetPosition(625, 50);
	self.window:SetSize(520, 600);
	self.window:SetResizable(true);
	self.window:SetText("Em uma Missão (Semanal)");--título da janela
	self.window:SetVisible(true);

	self.window.Closed = function(sender, args)
		self:Stop();
	end
	
	-- Cria o label com os textos da quest
	self.label = Turbine.UI.Label();
	self.label:SetParent(self.window);
	self.label:SetPosition(15, 40);
	self.label:SetSize(490, 530);
	self.label:SetBackColor(Turbine.UI.Color(1, 0, 0, 0));--bkg color black
	self.label:SetForeColor(Turbine.UI.Color(1, 1, 0.721, 0.109));--text color golden
	self.label:SetTextAlignment(Turbine.UI.ContentAlignment.TopLeft);
	self.label:SetMultiline(true);
	self.label:SetSelectable(true);
	
	-- STARTS WITH - MAP REF com fonte maior e em negrito
	self.label:SetFont(Turbine.UI.Lotro.Font.TrajanProBold22);	
	self.label:SetText("Onde Começa (STARTS WITH - MAP REF):");
	
	-- adiciona (append) STARTS WITH - MAP REF 
	self.label:SetFont(Turbine.UI.Lotro.Font.TrajanPro18);	
	self.label:AppendText("\n-Você ganha essa quest automaticamente ao completar a sua primeira missão na semana.");
	
	-- BESTOWAL DIALOGUE com fonte maior e em negrito
	self.label:SetFont(Turbine.UI.Lotro.Font.TrajanProBold22);	
	self.label:AppendText("\n\nDiálogo Inicial (BESTOWAL DIALOGUE): ");
	
	-- adiciona (append) o BESTOWAL DIALOGUE traduzido
	self.label:SetFont(Turbine.UI.Lotro.Font.TrajanPro18);	
	self.label:AppendText("\nEssa quest não possuí diálogo inicial.");
	
	-- BACKGROUND com fonte maior e em negrito
	self.label:SetFont(Turbine.UI.Lotro.Font.TrajanProBold22);	
	self.label:AppendText("\n\nContexto da História (BACKGROUND):");
	
	-- adiciona (append) o background dessa quest
	self.label:SetFont(Turbine.UI.Lotro.Font.TrajanPro18);	
	self.label:AppendText("\nBravos aventureiros foram convocados para completar missões através da Terra-Média.");
	
	-- OBJETIVOS com fonte maior e em negrito
	self.label:SetFont(Turbine.UI.Lotro.Font.TrajanProBold22);	
	self.label:AppendText("\n\nObjetivos e Falas dos NPCs (OBJECTIVES):");
	
	-- adiciona (append) a lista de objetivos da quest
	self.label:SetFont(Turbine.UI.Lotro.Font.TrajanPro18);	
	self.label:AppendText("\n1- Complete missões (15).\nMissões podem ser completas ao redor da Terra-Média.\nVocê deve completar missões.");
	
	-- Extra com fonte maior e em negrito
	self.label:SetFont(Turbine.UI.Lotro.Font.TrajanProBold22);	
	self.label:AppendText("\n\nSegredos e Dicas (WALKTHROUGH & NOTES):");
	
	-- adiciona (append) as informações extras sobre essa quest
	self.label:SetFont(Turbine.UI.Lotro.Font.TrajanPro18);	
	self.label:AppendText("\nMissões podem ser feitas uma vez ao dia, em dupla ou sozinho. Elas são encontradas em:\n- Elderslade, 8 por dia, de uma lista de 86. (requer a expansão \"War of Three Peaks\");\nOu as mesmas 10 por dia em:\n- Trestlebridge (requer o pacote de quests \"The Wildwood\");\n- Rivendell (requer o pacote de quests \"The Further Adventures of Bilbo Baggins\");\n- Erebor (requer o pacote de quests \"Blood of Azog\").\n\nFazer uma missão avançará todas as quests de missões ao mesmo tempo. Você pode completar vários Deeds que fornecem Virtue XP ao completar missões. Algumas missões são rápidas, outros demoram mais.\n\nCaso esteja completa, essa quest irá resetar junto do servidor, semanalmente."); 
	
	-- Créditos e Autoria com fonte maior e em negrito
	self.label:SetFont(Turbine.UI.Lotro.Font.TrajanProBold22);	
	self.label:AppendText("\n\nCréditos e Autoria: ");
	
	-- adiciona (append) as informações extras sobre essa quest
	self.label:SetFont(Turbine.UI.Lotro.Font.TrajanPro18);	
	self.label:AppendText("Ectelhion");
	
	--Cria uma barra de rolagem vertical para o label
    v_scrollbar=Turbine.UI.Lotro.ScrollBar();
    v_scrollbar:SetParent(self.window);
	v_scrollbar:SetPosition(self.label:GetWidth(),self.label:GetTop());
	v_scrollbar:SetSize(10, self.label:GetHeight()); 
    v_scrollbar:SetOrientation(Turbine.UI.Orientation.Vertical);
	
	self.label:SetVerticalScrollBar(v_scrollbar);
	
	self.window.SizeChanged = function (sender, args)
		local window_width, window_height = self.window:GetSize();
		
		self.label:SetSize(window_width-30, window_height-70);	
		v_scrollbar:SetPosition(self.label:GetWidth(),self.label:GetTop());
		v_scrollbar:SetSize(10, self.label:GetHeight());
		--Turbine.Shell.WriteLine("Width:"..window_width..", Height:"..window_height);
	end
	
	Window.Start(self);
end

function On_a_Mission_Weekly:Stop()	
	--Liberando memória da Janela.
	self.window = nil;
	Window.Stop(self);
end

-- Register an instance of this example.
RegisterWindow(On_a_Mission_Weekly());
