The_First_Gear = class(Window);

function The_First_Gear:GetName()
	return "The First Gear";
end

function The_First_Gear:IsRunning()
	return (self.window ~= nil);
end

function The_First_Gear:Start()	
	--Prevenindo criação duplicada
	if (self.window ~= nil) then
		return; -- return empty == break
	end

	-- Cria uma janela para mostrar as informações da quest
	self.window = Turbine.UI.Lotro.GoldWindow();
	self.window:SetPosition(625, 50);
	self.window:SetSize(520, 600);
	self.window:SetResizable(true);
	self.window:SetText("A Primeira Engrenagem");--título da janela
	self.window:SetVisible(true);

	self.window.Closed = function(sender, args)
		self:Stop();
	end
	
	-- Cria o label com os textos da quest
	self.label = Turbine.UI.Label();
	self.label:SetParent(self.window);
	self.label:SetPosition(15, 40);
	self.label:SetSize(490, 530);
	self.label:SetBackColor(Turbine.UI.Color(1, 0, 0, 0));--bkg color black
	self.label:SetForeColor(Turbine.UI.Color(1, 1, 0.721, 0.109));--text color golden
	self.label:SetTextAlignment(Turbine.UI.ContentAlignment.TopLeft);
	self.label:SetMultiline(true);
	self.label:SetSelectable(true);
	
	-- STARTS WITH - MAP REF com fonte maior e em negrito
	self.label:SetFont(Turbine.UI.Lotro.Font.TrajanProBold22);	
	self.label:SetText("Onde Começa (STARTS WITH - MAP REF):");
	
	-- adiciona (append) STARTS WITH - MAP REF 
	self.label:SetFont(Turbine.UI.Lotro.Font.TrajanPro18);	
	self.label:AppendText("\n-Bávor - 13.8S, 103.2W");
	
	-- BESTOWAL DIALOGUE com fonte maior e em negrito
	self.label:SetFont(Turbine.UI.Lotro.Font.TrajanProBold22);	
	self.label:AppendText("\n\nDiálogo Inicial (BESTOWAL DIALOGUE):");
	
	-- adiciona (append) o BESTOWAL DIALOGUE traduzido
	self.label:SetFont(Turbine.UI.Lotro.Font.TrajanPro18);	
	self.label:AppendText("\n'Saudações! Gostaria de saber se você poderia me dar uma mão? Eu tenho tentado consertar este dispositivo, que abre o acesso ao antigo Cofre da Montanha, mas algumas peças-chave, engrenagens antigas, foram removidas e espalhadas há muito tempo para evitar que os Dourhands colocassem suas mãos sujas no cofre do tesouro.'\n\n'Agora que finalmente expulsamos os Dourhands de Thorin's Hall, é hora de abrir o Cofre, mas primeiro este dispositivo deve ser consertado. O velho Sindri Winchmaster, o artífice que fez isso, tinha habilidade muito além da minha, então vou precisar das peças originais que foram perdidas para ter alguma esperança de fazê-lo funcionar novamente.'");
	
	-- BACKGROUND com fonte maior e em negrito
	self.label:SetFont(Turbine.UI.Lotro.Font.TrajanProBold22);	
	self.label:AppendText("\n\nContexto da História (BACKGROUND):");
	
	-- adiciona (append) o background dessa quest
	self.label:SetFont(Turbine.UI.Lotro.Font.TrajanPro18);	
	self.label:AppendText("\nBávor é um artífice encarregado de reparar a grande fechadura que abre o acesso ao lendário Cofre da Montanha.");
	
	-- OBJETIVOS com fonte maior e em negrito
	self.label:SetFont(Turbine.UI.Lotro.Font.TrajanProBold22);	
	self.label:AppendText("\n\nObjetivos e Falas dos NPCs (OBJECTIVES):");
	
	-- adiciona (append) a lista de objetivos da quest
	self.label:SetFont(Turbine.UI.Lotro.Font.TrajanPro18);	
	self.label:AppendText("\n1- Encontre a primeira engrenagem.\nA primeira engrenagem perdida está em uma caverna em Winterheight, a sudeste de Thorin's Hall. Bávor pediu para você ajudá-lo a remontar o dispositivo construído pelos anões que abre o cofre.\n   Bávor: 'Dizem que a primeira engrenagem perdida estava escondida em algum lugar em uma antiga caverna em Winterheight, no caminho a sudeste de Thorin's Hall. Você provavelmente a encontrará em um baú em algum lugar da caverna. A propósito, há um truque no baú, você tem que pressionar os cantos para abrí-lo...'\n\n2- Traga a engrenagem para Bávor.\nBávor está em Thorin's Hall. Bávor ficará feliz em ver que você adquiriu a primeira engrenagem.\n   Bávor: 'Ah! Isso se parece com a engrenagem! Encaixa aqui... ou talvez aqui... Não importa. Vou entender isso com o tempo, tenho certeza!'");
	
	-- Extra com fonte maior e em negrito
	self.label:SetFont(Turbine.UI.Lotro.Font.TrajanProBold22);	
	self.label:AppendText("\n\nSegredos e Dicas (WALKTHROUGH & NOTES):");
	
	-- adiciona (append) as informações extras sobre essa quest
	self.label:SetFont(Turbine.UI.Lotro.Font.TrajanPro18);	
	self.label:AppendText("\nWinterheight é remoto e a engrenagem está dentro de Rockbelly Pit.\nRockbelly Pit é acessada mais facilmente a partir de Berghold. [15,8S, 102,3W]\nA engrenagem está dentro de um baú na parte inferior da caverna.\nEssa é a quest 1 de 6 da sequência 'The Puzzle-vault'");
	
	-- Créditos e Autoria com fonte maior e em negrito
	self.label:SetFont(Turbine.UI.Lotro.Font.TrajanProBold22);	
	self.label:AppendText("\n\nCréditos e Autoria: ");
	
	-- adiciona (append) as informações extras sobre essa quest
	self.label:SetFont(Turbine.UI.Lotro.Font.TrajanPro18);	
	self.label:AppendText("Ectelhion");
	
	--Cria uma barra de rolagem vertical para o label
    v_scrollbar=Turbine.UI.Lotro.ScrollBar();
    v_scrollbar:SetParent(self.window);
	v_scrollbar:SetPosition(self.label:GetWidth(),self.label:GetTop());
	v_scrollbar:SetSize(10, self.label:GetHeight()); 
    v_scrollbar:SetOrientation(Turbine.UI.Orientation.Vertical);
	
	self.label:SetVerticalScrollBar(v_scrollbar);
	
	self.window.SizeChanged = function (sender, args)
		local window_width, window_height = self.window:GetSize();
		
		self.label:SetSize(window_width-30, window_height-70);	
		v_scrollbar:SetPosition(self.label:GetWidth(),self.label:GetTop());
		v_scrollbar:SetSize(10, self.label:GetHeight());
		--Turbine.Shell.WriteLine("Width:"..window_width..", Height:"..window_height);
	end
	
	Window.Start(self);
end

function The_First_Gear:Stop()	
	--Liberando memória da Janela.
	self.window = nil;
	Window.Stop(self);
end

-- Register an instance of this example.
RegisterWindow(The_First_Gear());
