The_Second_Gear = class(Window);

function The_Second_Gear:GetName()
	return "The Second Gear";
end

function The_Second_Gear:IsRunning()
	return (self.window ~= nil);
end

function The_Second_Gear:Start()	
	--Prevenindo criação duplicada
	if (self.window ~= nil) then
		return; -- return empty == break
	end

	-- Cria uma janela para mostrar as informações da quest
	self.window = Turbine.UI.Lotro.GoldWindow();
	self.window:SetPosition(625, 50);
	self.window:SetSize(520, 600);
	self.window:SetResizable(true);
	self.window:SetText("A Segunda Engrenagem");--título da janela
	self.window:SetVisible(true);

	self.window.Closed = function(sender, args)
		self:Stop();
	end
	
	-- Cria o label com os textos da quest
	self.label = Turbine.UI.Label();
	self.label:SetParent(self.window);
	self.label:SetPosition(15, 40);
	self.label:SetSize(490, 530);
	self.label:SetBackColor(Turbine.UI.Color(1, 0, 0, 0));--bkg color black
	self.label:SetForeColor(Turbine.UI.Color(1, 1, 0.721, 0.109));--text color golden
	self.label:SetTextAlignment(Turbine.UI.ContentAlignment.TopLeft);
	self.label:SetMultiline(true);
	self.label:SetSelectable(true);
	
	-- STARTS WITH - MAP REF com fonte maior e em negrito
	self.label:SetFont(Turbine.UI.Lotro.Font.TrajanProBold22);	
	self.label:SetText("Onde Começa (STARTS WITH - MAP REF):");
	
	-- adiciona (append) STARTS WITH - MAP REF 
	self.label:SetFont(Turbine.UI.Lotro.Font.TrajanPro18);	
	self.label:AppendText("\n-Bávor - 13.8S, 103.2W");
	
	-- BESTOWAL DIALOGUE com fonte maior e em negrito
	self.label:SetFont(Turbine.UI.Lotro.Font.TrajanProBold22);	
	self.label:AppendText("\n\nDiálogo Inicial (BESTOWAL DIALOGUE):");
	
	-- adiciona (append) o BESTOWAL DIALOGUE traduzido
	self.label:SetFont(Turbine.UI.Lotro.Font.TrajanPro18);	
	self.label:AppendText("\n'Essa primeira engrenagem já viu dias melhores, mas ainda e possível repará-la. Vou trabalhar nisso, enquanto você procura a segunda engrenagem.'\n'De acordo com os registros antigos, a segunda engrenagem estava escondida em um baú em algumas ruínas antigas ao sul do Vale of Thráin. As ruínas estão no lado oeste do vale, fora da estrada e do outro lado do Vale de Noglond. Os registros indicam que o baú está no lado sul das ruínas.'\n'Uma coisa que você deve estar ciente, porém, é que os goblins invadiram essas ruínas. Tome cuidado.'");
	
	-- BACKGROUND com fonte maior e em negrito
	self.label:SetFont(Turbine.UI.Lotro.Font.TrajanProBold22);	
	self.label:AppendText("\n\nContexto da História (BACKGROUND):");
	
	-- adiciona (append) o background dessa quest
	self.label:SetFont(Turbine.UI.Lotro.Font.TrajanPro18);	
	self.label:AppendText("\nBávor é um artífice encarregado de reparar a grande fechadura que abre o acesso ao lendário cofre da Montanha.");
	
	-- OBJETIVOS com fonte maior e em negrito
	self.label:SetFont(Turbine.UI.Lotro.Font.TrajanProBold22);	
	self.label:AppendText("\n\nObjetivos e Falas dos NPCs (OBJECTIVES):");
	
	-- adiciona (append) a lista de objetivos da quest
	self.label:SetFont(Turbine.UI.Lotro.Font.TrajanPro18);	
	self.label:AppendText("\n1- Encontre a segunda engrenagem que está faltando.\nO baú contendo a segunda engrenagem pode ser encontrado no lado sul das ruínas infestadas de goblins no Vale of Thráin, ao sul dos Thorin's Halls e a oeste de Noglond.\nBávor descobriu a localização da segunda engrenagem e mandou você procurá-la, enquanto ele conserta a primeira.\n   Bávor: 'De acordo com os registros antigos, a segunda engrenagem estava escondida em um baú em algumas ruínas antigas ao sul no Vale of Thráin. As ruínas estão no lado oeste do vale, fora da estrada e do outro lado do Vale de Noglond. Os registros indicam que o baú está no lado sul das ruínas'.\nEncontrou a segunda engrenagem perdida'\n\n2- Traga a segunda engrenagem para Bávor\nBávor está em Thorin's Hall.\nBávor terá o prazer de começar a trabalhar com a segunda engrenagem.\n   Bávor: 'Sim! É isso! Espere... isso realmente se encaixa em qualquer lugar? Que tal lá? Ah, eu vou resolver isso eventualmente. Por enquanto, precisamos encontrar as outras engrenagens!'");
	
	-- Extra com fonte maior e em negrito
	self.label:SetFont(Turbine.UI.Lotro.Font.TrajanProBold22);	
	self.label:AppendText("\n\nSegredos e Dicas (WALKTHROUGH & NOTES):");
	
	-- adiciona (append) as informações extras sobre essa quest
	self.label:SetFont(Turbine.UI.Lotro.Font.TrajanPro18);	
	self.label:AppendText("\nA segunda engrenagem está em um baú em Orodost em 20.6S, 102.4W.\nCuidado com os goblins elite, o local está cheio deles, vá em grupo ou com um level um pouco mais alto para não morrer.\nEssa é a quest 2 de 6 da sequência 'The Puzzle-Vault'");
	
	-- Créditos e Autoria com fonte maior e em negrito
	self.label:SetFont(Turbine.UI.Lotro.Font.TrajanProBold22);	
	self.label:AppendText("\n\nCréditos e Autoria: ");
	
	-- adiciona (append) as informações extras sobre essa quest
	self.label:SetFont(Turbine.UI.Lotro.Font.TrajanPro18);	
	self.label:AppendText("Xdastan");
	
	--Cria uma barra de rolagem vertical para o label
    v_scrollbar=Turbine.UI.Lotro.ScrollBar();
    v_scrollbar:SetParent(self.window);
	v_scrollbar:SetPosition(self.label:GetWidth(),self.label:GetTop());
	v_scrollbar:SetSize(10, self.label:GetHeight()); 
    v_scrollbar:SetOrientation(Turbine.UI.Orientation.Vertical);
	
	self.label:SetVerticalScrollBar(v_scrollbar);
	
	self.window.SizeChanged = function (sender, args)
		local window_width, window_height = self.window:GetSize();
		
		self.label:SetSize(window_width-30, window_height-70);	
		v_scrollbar:SetPosition(self.label:GetWidth(),self.label:GetTop());
		v_scrollbar:SetSize(10, self.label:GetHeight());
		--Turbine.Shell.WriteLine("Width:"..window_width..", Height:"..window_height);
	end
	
	Window.Start(self);
end

function The_Second_Gear:Stop()	
	--Liberando memória da Janela.
	self.window = nil;
	Window.Stop(self);
end

-- Register an instance of this example.
RegisterWindow(The_Second_Gear());
