import "LoT_BR.LoT_BR";

Search_Window = class(Turbine.UI.Lotro.GoldWindow);

--Construtor principal da aplicação
function Search_Window:Constructor()
	Turbine.UI.Lotro.GoldWindow.Constructor(self);
	
	self:SetText("LoT_BR");	
	self:SetPosition(10,50);
	self:SetSize(600, 350);
	self:SetResizable(true);

	self.textBox = Turbine.UI.Lotro.TextBox();
	self.textBox:SetParent(self);
	self.textBox:SetSize(450,22);
	self.textBox:SetPosition(20, 40);
	self.textBox:SetText("Pesquisar...");
	self.textBox:SetMouseVisible(true);

	self.search_button = Turbine.UI.Lotro.GoldButton();
	self.search_button:SetParent(self);
	self.search_button:SetPosition(490, 40);
	self.search_button:SetSize(75, 30);
	self.search_button:SetText("Tradução");
	self.selectedIndex = 1;-- botão abre o 1º resultado da lista se nada foi selecionado
	self.search_button.Click = function(sender, args)
		self.list:GetItem(self.selectedIndex):GetExample():Start();
	end

	self.listVerticalScrollBar = Turbine.UI.Lotro.ScrollBar();
	self.listVerticalScrollBar:SetOrientation(Turbine.UI.Orientation.Vertical);
	self.listVerticalScrollBar:SetParent(self);

	self.list = Turbine.UI.ListBox();
	self.list:SetParent(self);
	self.list:SetPosition(20, 65);
	self.list:SetSize(60,90);
	self.list:SetBackColor(Turbine.UI.Color(1, 0, 0, 0));
	self.list:SetVerticalScrollBar(self.listVerticalScrollBar);

	--Preenchendo lista
	for key, value in pairs(windows) do
		local listItem = List_Item(value);
		self.list:AddItem(listItem);
	end

	self.list.SelectedIndexChanged = function(sender, args)
		if (self.selectedIndex ~= -1) then
			self.list:GetItem(self.selectedIndex):SetSelected(false);
		end

		self.selectedIndex = self.list:GetSelectedIndex();

		if (self.selectedIndex ~= -1) then
			self.list:GetItem(self.selectedIndex):SetSelected(true);
		end
	end
	
	-- limpa o textbox quando ele é clicado
	self.textBox.MouseEnter = function(sender, args)
		self.textBox:SetText("");		
	end

	-- Pesquisa de itens
	self.textBox.TextChanged = function (sender, args)
		self.list:ClearItems();
		
		for key, value in pairs(windows) do

			if string.find(key, string.lower(self.textBox:GetText())) then

				local x = List_Item(value);
				self.list:AddItem(x);
			end
	end

	if self.textBox:GetText() == "" and self.list:GetItemCount() == 0 then
		for key, value in pairs(windows) do
			local list_Item = list_Item(value);
			self.list:AddItem(list_Item);
		end
	end

	self:SizeChanged();
		
	end
	
end

function Search_Window:SizeChanged()
	local width, height = self:GetSize();

	local listWidth = width - 48;
	local listHeight = height - 93;	

	self.list:SetSize(listWidth, listHeight);

	self.listVerticalScrollBar:SetPosition(width - 25, 67);
	self.listVerticalScrollBar:SetSize(10, listHeight);

	local i;

	for i = 1, self.list:GetItemCount() do
		local examplelist_Item = self.list:GetItem(i);
		examplelist_Item:SetSize(listWidth, 20);
	end
	
	self.textBox:SetWidth(width-150);
	
	self.search_button:SetLeft(width-110);
end


--Chamada principal da aplicação
--Search_Window = Search_Window();
--Search_Window:SetVisible(true);

--my_hurin_button = Hurin_Button();
--my_hurin_button:SetVisible(true);
	
